
%define nam	sawmill
%define ver	0.23
%define rel	1

Summary: a highly configurable and extensible X11 window manager
Name: %{nam}
Version: %{ver}
Release: %{rel}
Requires: librep >= 0.10, rep-gtk >= 0.8
Copyright: GPL
Group: User Interface/Desktops
Source: ftp://ftp.dcs.warwick.ac.uk/people/John.Harper/sawmill/sawmill-%{ver}.tar.gz
URL: http://www.dcs.warwick.ac.uk/~john/sw/sawmill/
Packager: John Harper <john@dcs.warwick.ac.uk>
Buildroot: /var/tmp/%{nam}-root

%description
This is an extensible window manager using a LISP-based scripting
language--all window decorations are configurable, the basic idea is to
have as much user-interface policy as possible controlled through the
Lisp language.

All configuration may be performed through a GTK interface; sawmill is
mostly-GNOME compliant.

%package gnome
Summary: GNOME support for sawmill
Group: User Interface/Desktops
Requires: %{nam}

%description gnome
Optional GNOME support for sawmill. Includes a wm-entries spec, and a
control center applet

%package themer
Summary: GUI for creating sawmill themes
Group: User Interface/Desktops
Requires: %{nam}, rep-gtk-libglade

%description themer
Optional theme builder for sawmill. Allows static window themes to be
created/edited in a graphical environment.

%prep
%setup

%build
./configure --enable-capplet --enable-themer --with-readline --with-gnome-prefix=%{_prefix} --prefix %{_prefix} %{_host}
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/gnome/wm-properties
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/control-center
make prefix=$RPM_BUILD_ROOT%{_prefix} install
gzip -9nf $RPM_BUILD_ROOT%{_prefix}/info/sawmill*

%files
%defattr(-,root,root)
%doc README NEWS FAQ TODO po/sawmill.pot
%{_prefix}/bin/sawmill
%{_prefix}/bin/sawmill-client
%{_prefix}/bin/sawmill-ui
%{_prefix}/share/sawmill/%{ver}
%{_prefix}/libexec/sawmill/%{ver}/%{_host}
%{_prefix}/info/sawmill*

%files gnome
%defattr(-,root,root)
%{_prefix}/bin/sawmill-capplet
%{_prefix}/share/control-center/Sawmill
%{_prefix}/share/gnome/wm-properties/Sawmill.desktop

%files themer
%defattr(-,root,root)
%{_prefix}/bin/sawmill-themer
%{_prefix}/share/sawmill/%{ver}/themer.glade

%changelog
* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- don't patch the Makefile

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.6 spec file update: added buildroot
